<script type="text/javascript">
$(document).ready(function() {
    $(function(){
        $("#theList.detail tr:even").addClass("stripe1");
        $("#theList.detail tr:odd").addClass("stripe2");

        $("#theList.detail tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_detail(ID){
		var kode = ID;
						
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/edit.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
				$("#txt_kodest").val(data.kodest);
				$("#txt_namast").val(data.namast);
				$("#txt_barcode").val(data.barcode);
				$("#txt_satuan").val(data.satuan);
				$("#txt_jmlunit").val(data.jmlunit);
				$("#txt_bruto").val(data.bruto);
				$("#txt_ppn").val(data.ppn);
				$("#txt_hgbeli").val(data.hgbeli);
				$("#txt_expired").val(data.expired);
				$("#txt_jumlah").val(data.jumlah);
				$('#form_lihat_detail').dialog('close');
			}
		});
	}

	function hapus_detail(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
		var kode = ID;
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/hapus.php",
			data	: "kode="+kode,
			success	: function(data){
				$("#info").html(data);
				tampil_data_detail();
			}
		});
		}
	}
	
	function tampil_data_detail(){
		var	kode=$("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("modul/pembelian/tampil_data_detail.php?kode="+kode);
	}
</script>
<?php
include '../../inc/inc.koneksi.php';
include '../../inc/fungsi_tanggal.php';

$kode	= $_GET['kodepb'];

echo "<table id='theList' class='detail' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode</th>
			<th>Nama Barang</th>
			<th>Barcode</th>
			<th>Satuan</th>
			<th>Jml.Unit</th>
			<th>Harga Beli</th>
			<th>PPN %</th>
			<th>Jumlah Harga</th>
			<th>Expired</th>
			<th>Aksi</th>
		</tr>";
		$query = mysql_query("SELECT * FROM faktur_pb WHERE kode_pb='$kode' ORDER BY no_urut");
		
		$no=1;
		$total=0;
		while($r=mysql_fetch_array($query)){
			$kode 	= $r['kode_pb'].';'.$r['no_urut'];
			$total	= $total+$r['jumlah'];
			
			echo "<tr>
				<td align='center'>$no</td>
				<td>$r[kode_st]</td>
				<td>$r[nama_st]</td>
				<td>$r[barcode]</td>
				<td>$r[satuan]</td>
				<td align='center'>".number_format($r['jml_unit'],2)."</td>
				<td align='right'>".number_format($r['hg_beli'],2)."</td>
				<td align='right'>".number_format($r['ppn'],0)."</td>
				<td align='right'>".number_format($r['jumlah'],2)."</td>
				<td align='right'>".jin_date_str($r['expired'])."</td>
				<td align='center'>
					<a href='javascript:void(0)' onClick=\"edit_detail('$kode')\">
					<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' ></a>					
					<a href='javascript:void(0)' onClick=\"hapus_detail('$kode')\">
					<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' ></a>					
				</td>
			</tr>";			
			$no++;			
		}
		echo "<tr>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td align='right'>Total </td>
			<td align='right'>".number_format($total,2)."</td>
		</tr>
	</table>";	
?>